## org.h2.java.lang
Class String

    java.lang.Object
      org.h2.java.lang.String

    public class String

extends java.lang.Object

A java.lang.String implementation.

Constructor Summary
`String(char[] chars)`

Method Summary
`int` `hashCode()`
`int` `length()` Get the length of the string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### String

    public String(char[] chars)

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### length

    public int length()

  Get the length of the string.

  Returns:
    the length